> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.hopnow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Beneficiary

> Update beneficiary information

## Path Parameters

<ParamField path="account_id" type="string" required>
  The account's external ID (starts with `acc_`)
</ParamField>

<ParamField path="beneficiary_id" type="string" required>
  The beneficiary's external ID (starts with `bene_`)
</ParamField>

## Request Body

All fields are optional. Only include fields you want to update.

<ParamField body="beneficiary_type" type="string">
  Type of beneficiary: `individual` or `business`
</ParamField>

<ParamField body="title" type="string">
  Title (e.g., Mr, Ms, Dr)
</ParamField>

<ParamField body="first_name" type="string">
  First name
</ParamField>

<ParamField body="middle_name" type="string">
  Middle name
</ParamField>

<ParamField body="last_name" type="string">
  Last name
</ParamField>

<ParamField body="display_name" type="string">
  Display name
</ParamField>

<ParamField body="company_name" type="string">
  Company name
</ParamField>

<ParamField body="email" type="string">
  Email address
</ParamField>

<ParamField body="phone" type="string">
  Phone number
</ParamField>

<ParamField body="address" type="object">
  Beneficiary address
</ParamField>

<ParamField body="tax_id" type="string">
  Tax identification number
</ParamField>

<ParamField body="country_code" type="string">
  Payout country code
</ParamField>

<ParamField body="note" type="string">
  Internal notes or comments
</ParamField>

## Response

Returns the updated beneficiary object with same structure as Create Beneficiary response.

## Response Example

```json theme={null}
{
  "id": "bene_9gt1ummgx127biovlurm9mq2",
  "object": "beneficiary",
  "account_id": "acct_ka44qsvpo8q3wtzuwfqf0h6u",
  "beneficiary_type": "individual",
  "title": null,
  "first_name": "John",
  "middle_name": null,
  "last_name": "Smith",
  "display_name": "John Smith",
  "company_name": null,
  "email": "john.smith@example.com",
  "phone": "+1987654321",
  "address": {
    "address_line": "123 Main St",
    "city": "New York",
    "region": "NY",
    "postal_code": "10001",
    "country": "US"
  },
  "country_code": "US",
  "status": "active",
  "verified": true,
  "payout_destinations": [],
  "created": "2024-01-15T10:00:00Z",
  "updated": "2024-01-16T10:00:00Z"
}
```
